> # NAME

> tex3Dfetch - performs an unfiltered texture lookup in a given sampler.

> # SYNOPSIS

>       float4 tex3Dfetch(sampler3D samp, int4 s)
>       float4 tex3Dfetch(sampler3D samp, int4 s, int texelOff)

>       int4 tex3Dfetch(isampler3D samp, int4 s)
>       int4 tex3Dfetch(isampler3D samp, int4 s, int texelOff)

>       unsigned int4 tex3Dfetch(usampler3D samp, int4 s)
>       unsigned int4 tex3Dfetch(usampler3D samp, int4 s, int texelOff)

> # PARAMETERS

> samp

>   Sampler to lookup.

> s

>   Coordinates to perform the lookup. The level of detail is stored in the last component of the coordinate vector.

> texelOff

>   Offset to be added to obtain the final texel.

> # DESCRIPTION

> Performs an unfiltered texture lookup in sampler samp using coordinates s. The level of detail is provided by the last component of the coordinate vector. May use texel offset texelOff to compute final texel.

> # PROFILE SUPPORT

> tex3Dfetch is only supported in gp4 and newer profiles.

> # SEE ALSO

> tex3D